package com.njcn.csdevice.service;

import com.njcn.csdevice.param.IcdBzParam;
import com.njcn.csdevice.param.IcdLedgerParam;
import com.njcn.csdevice.param.IcdParam;
import com.njcn.csdevice.pojo.vo.CldLedgerVo;
import com.njcn.csdevice.pojo.vo.DeviceInfo;

import java.util.List;

public interface IcdService {

    List<DeviceInfo> getLedgerInfo(IcdParam param);

    void addLedgerInfo(IcdLedgerParam param);

    CldLedgerVo getLedgerById(String id);

    void bzFileByEventId(String eventId);

    void bzEvent(IcdBzParam param);

    void bzFile(IcdBzParam param);

}
